glibmm 2.60.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< signed char > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< signed char >:
[legend]

## Public Types
using | CppType = signed char
using | CType = gint8

## Public Member Functions
void | set (signed char data)
signed char | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< signed char >

Since glibmm 2.44:

## Member Typedef Documentation

## ◆ CppType

using Glib::Value< signed char >::CppType = signed char

## ◆ CType

using Glib::Value< signed char >::CType = gint8

## Member Function Documentation

## ◆ get()

signed char Glib::Value< signed char >::get | ( |  | ) | const

## ◆ set()

void Glib::Value< signed char >::set | ( | signed char | data | ) |

## ◆ value_type()

static GType Glib::Value< signed char >::value_type | ( |  | ) |
| static